classification
Title: PDF documentation: long verbatim lines are cut off at right hand side
Type: behavior Stage: resolved
Components: Documentation tools (Sphinx) Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: cheryl.sabella, ezio.melotti, georg.brandl, wplappert
Priority: normal Keywords:

Created on 2008-10-22 14:11 by wplappert, last changed 2018-03-06 18:21 by cheryl.sabella. This issue is now closed.

Messages (4)
msg75080 - (view) Author: Winfried Plappert (wplappert) Date: 2008-10-22 14:11
I seen this issue at various places, but I will quote from extending.pdf:
Chapter 3: 'Building C and C++ Extensions with distutils' shows two long
gcc commands.

gcc -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC -DMAJOR_VERSION=1
-DMINOR_VERSION=0 -I/usr/local/include -I/usr/local/include/python2.2 -c
demo.c -o build/temp.linux-i686-2.2/demo.o

gcc -shared build/temp.linux-i686-2.2/demo.o -L/usr/local/lib -ltcl83 -o
build/lib.linux-i686-2.2/demo.so

The HTML version at http://docs.python.org/extending/building.html uses
a slider to be able to see all the code, but the PDF-version does not
have this feature. Consequently, the text is chopped off at the right
hand side after the 98th character.
msg78212 - (view) Author: Winfried Plappert (wplappert) Date: 2008-12-22 21:36
see also issue4160.
msg134289 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-23 01:23
See also #11860.
msg313353 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-03-06 18:21
I just tested the PDF on the current version of the docs and this is no longer an issue.  The original example given wraps correctly on the PDF output.
History
Date User Action Args
2018-03-06 18:21:10cheryl.sabellasetstatus: open -> closed

nosy: + cheryl.sabella
messages: + msg313353

resolution: works for me
stage: resolved
2016-02-11 17:25:45georg.brandlsetassignee: georg.brandl ->
2013-03-28 11:09:21georg.brandllinkissue9986 superseder
2011-04-23 01:43:33terry.reedylinkissue11860 superseder
2011-04-23 01:23:41ezio.melottisetnosy: + ezio.melotti
messages: + msg134289
2008-12-22 21:36:02wplappertsetmessages: + msg78212
2008-10-22 20:36:57wplappertsettype: behavior
2008-10-22 14:11:56wplappertcreate